Name:          harfbuzz
Version:       1.3.4
Release:       1mamba
Summary:       An OpenType text shaping library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.freedesktop.org/wiki/Software/HarfBuzz
Source:        http://www.freedesktop.org/software/harfbuzz/release/harfbuzz-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcairo-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libgraphite2-devel
BuildRequires: libicu-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: libicu-devel >= 50
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
An OpenType text shaping library.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
## note: you can add this requirement if .pc files are provided by this package
#Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gtk-doc

%description apidocs
This package includes the %{name} API documentation.

%debug_package

%prep
%setup -q

%build
%configure \
   --with-graphite2

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/hb-ot-shape-closure
%{_bindir}/hb-shape
%{_bindir}/hb-view

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libharfbuzz.so.*
%{_libdir}/libharfbuzz-icu.so.*
%doc AUTHORS COPYING THANKS

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/harfbuzz
%{_includedir}/harfbuzz/*.h
%{_libdir}/libharfbuzz.la
%{_libdir}/libharfbuzz.so
%{_libdir}/libharfbuzz-icu.la
%{_libdir}/libharfbuzz-icu.so
%{_libdir}/pkgconfig/harfbuzz-icu.pc
%{_libdir}/pkgconfig/harfbuzz.pc
%doc ChangeLog NEWS README TODO

%files apidocs
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/html/harfbuzz
%{_datadir}/gtk-doc/html/harfbuzz/*

%changelog
* Tue Dec 06 2016 Automatic Build System <autodist@mambasoft.it> 1.3.4-1mamba
- automatic version update by autodist

* Thu Oct 27 2016 Automatic Build System <autodist@mambasoft.it> 1.3.3-1mamba
- automatic version update by autodist

* Thu Oct 13 2016 Automatic Build System <autodist@mambasoft.it> 1.3.2-1mamba
- automatic version update by autodist

* Thu Sep 08 2016 Automatic Build System <autodist@mambasoft.it> 1.3.1-1mamba
- automatic version update by autodist

* Thu Jul 21 2016 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic version update by autodist

* Sat May 07 2016 Automatic Build System <autodist@mambasoft.it> 1.2.7-1mamba
- automatic version update by autodist

* Sun Apr 10 2016 Automatic Build System <autodist@mambasoft.it> 1.2.6-1mamba
- automatic version update by autodist

* Thu Mar 31 2016 Automatic Build System <autodist@mambasoft.it> 1.2.4-1mamba
- automatic version update by autodist

* Sat Feb 27 2016 Automatic Build System <autodist@mambasoft.it> 1.2.3-1mamba
- automatic version update by autodist

* Wed Feb 24 2016 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Sat Feb 20 2016 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Thu Jan 14 2016 Automatic Build System <autodist@mambasoft.it> 1.1.3-1mamba
- automatic version update by autodist

* Fri Nov 27 2015 Automatic Build System <autodist@mambasoft.it> 1.1.2-1mamba
- automatic version update by autodist

* Wed Nov 25 2015 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic version update by autodist

* Thu Nov 19 2015 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Fri Oct 16 2015 Automatic Build System <autodist@mambasoft.it> 1.0.6-1mamba
- automatic version update by autodist

* Wed Oct 14 2015 Automatic Build System <autodist@mambasoft.it> 1.0.5-1mamba
- automatic version update by autodist

* Sat Oct 03 2015 Automatic Build System <autodist@mambasoft.it> 1.0.4-1mamba
- automatic version update by autodist

* Sun Sep 06 2015 Automatic Build System <autodist@mambasoft.it> 1.0.3-1mamba
- automatic version update by autodist

* Fri Jul 31 2015 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic version update by autodist

* Fri Jun 19 2015 Automatic Build System <autodist@mambasoft.it> 0.9.41-1mamba
- automatic version update by autodist

* Thu Mar 26 2015 Automatic Build System <autodist@mambasoft.it> 0.9.40-1mamba
- automatic version update by autodist

* Wed Jan 28 2015 Automatic Build System <autodist@mambasoft.it> 0.9.38-1mamba
- automatic version update by autodist

* Sun Dec 21 2014 Automatic Build System <autodist@mambasoft.it> 0.9.37-1mamba
- automatic version update by autodist

* Sun Nov 23 2014 Automatic Build System <autodist@mambasoft.it> 0.9.36-1mamba
- automatic version update by autodist

* Thu Aug 21 2014 Automatic Build System <autodist@mambasoft.it> 0.9.35-1mamba
- automatic version update by autodist

* Sun Jul 20 2014 Automatic Build System <autodist@mambasoft.it> 0.9.32-1mamba
- automatic version update by autodist

* Sat Jul 12 2014 Automatic Build System <autodist@mambasoft.it> 0.9.30-1mamba
- automatic version update by autodist

* Wed Jun 25 2014 Automatic Build System <autodist@mambasoft.it> 0.9.29-1mamba
- automatic version update by autodist

* Sat May 24 2014 Automatic Build System <autodist@mambasoft.it> 0.9.28-1mamba
- automatic version update by autodist

* Sun Feb 16 2014 Automatic Build System <autodist@mambasoft.it> 0.9.26-1mamba
- automatic version update by autodist

* Mon Dec 02 2013 Automatic Build System <autodist@mambasoft.it> 0.9.24-1mamba
- automatic version update by autodist

* Sat Nov 02 2013 Automatic Build System <autodist@mambasoft.it> 0.9.23-1mamba
- automatic version update by autodist

* Thu Oct 17 2013 Automatic Build System <autodist@mambasoft.it> 0.9.22-1mamba
- automatic version update by autodist

* Sun Sep 01 2013 Automatic Build System <autodist@mambasoft.it> 0.9.20-1mamba
- automatic update by autodist

* Mon Aug 19 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.19-2mamba
- rebuilt with graphite2 support (required by texlive 20130530)

* Thu Jul 25 2013 Automatic Build System <autodist@mambasoft.it> 0.9.19-1mamba
- automatic version update by autodist

* Sat Jun 08 2013 Automatic Build System <autodist@mambasoft.it> 0.9.18-1mamba
- automatic version update by autodist

* Thu May 23 2013 Automatic Build System <autodist@mambasoft.it> 0.9.17-1mamba
- automatic version update by autodist

* Sat Apr 20 2013 Automatic Build System <autodist@mambasoft.it> 0.9.16-1mamba
- automatic version update by autodist

* Mon Apr 08 2013 Automatic Build System <autodist@mambasoft.it> 0.9.15-1mamba
- automatic version update by autodist

* Mon Mar 25 2013 Automatic Build System <autodist@mambasoft.it> 0.9.14-1mamba
- automatic version update by autodist

* Fri Mar 01 2013 Automatic Build System <autodist@mambasoft.it> 0.9.13-1mamba
- automatic version update by autodist

* Sun Jan 20 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.12-1mamba
- update to 0.9.12
- built with libicu support required by libwebkit-gtk3 1.11 (requires libicu >= 50.0)

* Sun Jan 13 2013 Automatic Build System <autodist@mambasoft.it> 0.9.11-1mamba
- automatic version update by autodist

* Thu Dec 06 2012 Automatic Build System <autodist@mambasoft.it> 0.9.9-1mamba
- automatic version update by autodist

* Sat Dec 01 2012 Automatic Build System <autodist@mambasoft.it> 0.9.7-1mamba
- automatic version update by autodist

* Sun Nov 18 2012 Automatic Build System <autodist@mambasoft.it> 0.9.6-1mamba
- automatic version update by autodist

* Wed Oct 17 2012 Automatic Build System <autodist@mambasoft.it> 0.9.5-1mamba
- automatic version update by autodist

* Tue Oct 09 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.4-1mamba
- package created by autospec
